matrix:
  platform:
  - ubuntu2204
  - ubuntu2404
  - ubuntu2404_arm64
  - debian11
  - macos
  - macos_arm64
  - windows
  bazel: [7.x, 8.x, 9.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@sdl2'
      - '@sdl2//:sdl2_headers'
      - '@sdl2//:sdl2_headers_consumer_compile_test'
      - '@sdl2//:sdl2_consumer_link_test'
    test_targets:
      - '@sdl2//:sdl2_headers_consumer_compile_test'
      - '@sdl2//:sdl2_consumer_link_test'
